parser.h File Reference
`#include <wibble/commandline/engine.h>`
`#include <iosfwd>`
Include dependency graph for parser.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | wibble::commandline::Parser
| Generic parser for commandline arguments. More...
class | wibble::commandline::StandardParser
| Parser for commandline arguments, with builting help functions. More...
class | wibble::commandline::StandardParserWithManpage
| Parser for commandline arguments, with builting help functions and manpage generation. More...
class | wibble::commandline::StandardParserWithMandatoryCommand
| Parser for commandline arguments, with builting help functions and manpage generation, and requiring a mandatory command. More...

## Namespaces

| wibble
| wibble::commandline